DCMTK: DcmQueryRetrieveSCP Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
DcmQueryRetrieveSCP Class Reference

main class for Query/Retrieve Service Class Provider More...

## Public Member Functions
| DcmQueryRetrieveSCP (const DcmQueryRetrieveConfig &config, const DcmQueryRetrieveOptions &options, const DcmQueryRetrieveDatabaseHandleFactory &factory, const DcmAssociationConfiguration &associationConfiguration, DcmTLSOptions &tlsOptions)
| constructor
virtual | ~DcmQueryRetrieveSCP ()
| destructor
OFCondition | waitForAssociation (T_ASC_Network *theNet)
| wait for incoming A-ASSOCIATE requests, perform association negotiation and serve the requests.
void | setDatabaseFlags (OFBool dbCheckFindIdentifier, OFBool dbCheckMoveIdentifier)
| set database flags
void | cleanChildren ()
| clean up terminated child processes.

## Private Member Functions
| DcmQueryRetrieveSCP (const DcmQueryRetrieveSCP &other)
| private undefined copy constructor
DcmQueryRetrieveSCP & | operator= (const DcmQueryRetrieveSCP &other)
| private undefined assignment operator
OFCondition | negotiateAssociation (T_ASC_Association *assoc)
| perform association negotiation for an incoming A-ASSOCIATE request based on the SCP configuration and option flags.

## Private Attributes
const DcmQueryRetrieveConfig * | config_
| configuration facility
DcmQueryRetrieveProcessTable | processtable_
| child process table, only used in multi-processing mode
OFBool | dbCheckFindIdentifier_
| flag for database interface: check C-FIND identifier
OFBool | dbCheckMoveIdentifier_
| flag for database interface: check C-MOVE identifier
const DcmQueryRetrieveDatabaseHandleFactory & | factory_
| factory object used to create database handles
const DcmQueryRetrieveOptions & | options_
| SCP configuration options.
const DcmAssociationConfiguration & | associationConfiguration_
| Association configuration profiles read from configuration file.
DcmTLSOptions & | tlsOptions_
| reference to object managing the TLS options

## Detailed Description

main class for Query/Retrieve Service Class Provider

## Constructor & Destructor Documentation

## ◆ DcmQueryRetrieveSCP()

DcmQueryRetrieveSCP::DcmQueryRetrieveSCP | ( | const DcmQueryRetrieveConfig & | config,
|  | const DcmQueryRetrieveOptions & | options,
|  | const DcmQueryRetrieveDatabaseHandleFactory & | factory,
|  | const DcmAssociationConfiguration & | associationConfiguration,
|  | DcmTLSOptions & | tlsOptions )

constructor

Parameters

  config | SCP configuration facility
  options | SCP configuration options
  factory | factory object used to create database handles
  object | managing the TLS options for network connections

Referenced by DcmQueryRetrieveSCP(), and operator=().

## Member Function Documentation

## ◆ negotiateAssociation()

OFCondition DcmQueryRetrieveSCP::negotiateAssociation | ( | T_ASC_Association * | assoc | ) |
| private

perform association negotiation for an incoming A-ASSOCIATE request based on the SCP configuration and option flags.

No A-ASSOCIATE response is generated, this is left to the caller.

Parameters

  assoc | incoming association

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setDatabaseFlags()

void DcmQueryRetrieveSCP::setDatabaseFlags | ( | OFBool | dbCheckFindIdentifier,
|  | OFBool | dbCheckMoveIdentifier )

set database flags

Parameters

  dbCheckFindIdentifier | flag indicating that a check should be performed for C-FIND requests
  dbCheckMoveIdentifier | flag indicating that a check should be performed for C-MOVE requests

## ◆ waitForAssociation()

OFCondition DcmQueryRetrieveSCP::waitForAssociation | ( | T_ASC_Network * | theNet | ) |

wait for incoming A-ASSOCIATE requests, perform association negotiation and serve the requests.

May fork child processes depending on availability of the fork() system function and configuration options.

Parameters

  theNet | network structure for listen socket

Returns
  EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmqrdb/include/dcmtk/dcmqrdb/dcmqrsrv.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2